# EndCardPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class EndCardPhase

#### Hierarchy (view full)

- Phase
  - EndCardPhase

- Defined in src/phases.ts:4305

#####
Index

### Constructors

constructor

### Properties

endCard
scene
text

### Methods

end
start

## Constructors

### constructor

- new EndCardPhase(scene): EndCardPhase

- #### Parameters

  - scene: default

  #### Returns EndCardPhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:4309

## Properties

### endCard

endCard: Image

- Defined in src/phases.ts:4306

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

### text

text: Text

- Defined in src/phases.ts:4307

## Methods

### end

- end(): void

- #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:17

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:4313